#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 random-source
version:              0.3.0.11
visibility:           public
id:                   random-source-0.3.0.11-3wFQpGuaq4sFSDUOhCdV3C
key:                  random-source-0.3.0.11-3wFQpGuaq4sFSDUOhCdV3C
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/mokus0/random-fu
synopsis:             Generic basis for random number generators
description:
    Random number generation based on entropy sources
    able to produce a small but well-defined set of
    primitive variates.  Also includes facilities for
    \"completing\" partial implementations, making it
    easy to define new entropy sources in a way that
    is naturally forward-compatible.

category:             Math
abi:                  9a2e05772cf7bcc291b713ba8a1863aa
exposed:              True
exposed-modules:
    Data.Random.Internal.Source Data.Random.Internal.Words
    Data.Random.Source Data.Random.Source.DevRandom
    Data.Random.Source.IO Data.Random.Source.MWC
    Data.Random.Source.PureMT Data.Random.Source.Std
    Data.Random.Source.StdGen

hidden-modules:
    Data.Random.Source.Internal.Prim Data.Random.Source.Internal.TH

import-dirs:          /usr/lib/ghc-9.0.2/site-local/random-source-0.3.0.11
library-dirs:         /usr/lib/ghc-9.0.2/site-local/random-source-0.3.0.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-random-source
hs-libraries:         HSrandom-source-0.3.0.11-3wFQpGuaq4sFSDUOhCdV3C
depends:
    base-4.15.1.0 flexible-defaults-0.0.3-LEJEcWlODnDH7APkhCI0lH
    mersenne-random-pure64-0.2.2.0-KtY0SpmbFcaBQK71HrCiUN mtl-2.2.2
    mwc-random-0.15.0.2-9tdu1yIDOp87gT8SQxZbLx
    primitive-0.7.4.0-9uB46fIF9WaGGa8tVVz06n
    random-1.2.1.1-HiECQni2AdzGisFczLwCdX
    stateref-0.3-9u9QCRlvo9dHk1YF6aLbH9
    syb-0.7.2.2-2tWkksRZwal15UlKCzfmOk template-haskell-2.17.0.0
    th-extras-0.0.0.6-5trTCyJzAZfFosSJ6sAjci

haddock-interfaces:
    /usr/share/doc/haskell-random-source/html/random-source.haddock

haddock-html:         /usr/share/doc/haskell-random-source/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

